#include <iostream>
#include "histogram.h"
#include "svg.h"
#include <fstream>
using namespace std;

int main() {
    Input data = input_data();


    size_t block_width = svg::input_block_width();

    auto bins = make_histogram(data.numbers, data.bin_count);


    show_histogram_text(bins, block_width);

    ofstream svg_file("histogram.svg");
    svg::show_histogram_svg(svg_file, bins, block_width);
    svg_file.close();


    return 0;
}
